%define version	3.1.1
%define release	%mkrel 11

Name:		scim-fcitx
Summary:	SCIM IMEngine module for fcitx
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://www.magiclinux.org/people/sunmoon1997/stuff/fcim/
Source0:		%{name}-%{version}.tar.bz2
Patch0:		scim-fcitx-3.1.1-gcc4.3.patch
Patch1:		scim-fcitx-3.1.1-libtool-flags.patch
Patch2:		scim-fcitx-3.1.1-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			scim >= 1.4.0
BuildRequires:		scim-devel >= 1.4.7-4mdk
BuildRequires:		automake, libltdl-devel
Obsoletes:	%mklibname scim-fcitx 0

%description
Scim-fcitx is an SCIM IMEngine module for fcitx.
It supports Chinese input.

%prep
%setup -q -n fcitx
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
./bootstrap
%configure2_5x --disable-ltdl-install
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{scim_plugins_dir}/*/*.{a,la}

# we don't need to pack up the binary tools
rm -f %{buildroot}%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/fcitx
%{_datadir}/scim/icons/fcitx
%{scim_plugins_dir}/IMEngine/*.so


%changelog
* Sat Jan 31 2009 Funda Wang <fundawang@mandriva.org> 3.1.1-11mdv2009.1
+ Revision: 335774
- fix linkage

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.1-11mdv2009.0
+ Revision: 260529
- rebuild

* Tue Jul 29 2008 Funda Wang <fundawang@mandriva.org> 3.1.1-10mdv2009.0
+ Revision: 252495
- add gcc4.3 patch
- drop lib package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.1-8mdv2008.1
+ Revision: 173107
- make it installable (fix percent-in-provides)
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Funda Wang <fundawang@mandriva.org> 3.1.1-7mdv2008.0
+ Revision: 65154
- Own fcitx dir
- Renew tarball with official one.
- Rebuild


* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-6mdk
- rebuild for sparc

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-5mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-4mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-3mdk
- Rebuild for new glibc

* Thu Jun 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.1-2mdk
- Rebuild against scim 1.3.0

* Thu May 12 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 3.1.1-1mdk
- first spec for Mandriva Linux

